// Kubejs scripts for Create items/interactions

ServerEvents.recipes(event => {

//Remove progression breaking crushing outputs
event.remove({ output: 'minecraft:quartz', input: '#create:stone_types/diorite', type: 'create:crushing' })
event.remove({ output: 'minecraft:redstone', input: 'create:cinder_flour'})
event.remove({ output: 'minecraft:glowstone_dust', input: 'create:cinder_flour'})
event.remove({ output: 'minecraft:gunpowder', input: 'create:cinder_flour'})

// Change fermenting basin lid
event.replaceInput(
  { output: 'createdieselgenerators:basin_lid' },
  'minecraft:clock',
  'minecraft:stone_button'
)

// Milling recipe for powdered coal
event.recipes.create.milling(['2x minecraft:black_dye', Item.of('enderio:powdered_coal').withChance(0.75)], '#forge:storage_blocks/charcoal')

// Magnetite recipe
event.shaped(
  Item.of('create_new_age:magnetite_block'),
  [
    'AAA',
    'ABA',
    'AAA'
  ],
  {
    A: 'minecraft:stone',
    B: '#forge:storage_blocks/charcoal'
  }
)

})